## gimpimagesamplepoints

gimpimagesamplepoints — Functions for manipulating an image's sample points.

## Functions

gint32 | gimp_image_add_sample_point ()
gboolean | gimp_image_delete_sample_point ()
gint32 | gimp_image_find_next_sample_point ()
gint | gimp_image_get_sample_point_position ()

## Description

Functions for manipulating an image's sample points.

## Functions

### gimp_image_add_sample_point ()

    gint32
    gimp_image_add_sample_point (gint32 image_ID,
                                 gint position_x,
                                 gint position_y);

Add a sample point to an image.

This procedure adds a sample point to an image. It takes the input image and the position of the new sample points as parameters. It returns the sample point ID of the new sample point.

#### Parameters

image_ID | The image. |
position_x | The guide'sample points x-offset from left of image. |
position_y | The guide'sample points y-offset from top of image. |

#### Returns

The new sample point.

Since: 2.10

### gimp_image_delete_sample_point ()

    gboolean
    gimp_image_delete_sample_point (gint32 image_ID,
                                    gint32 sample_point_ID);

Deletes a sample point from an image.

This procedure takes an image and a sample point ID as input and removes the specified sample point from the specified image.

#### Parameters

image_ID | The image. |
sample_point_ID | The ID of the sample point to be removed. |

#### Returns

TRUE on success.

Since: 2.10

### gimp_image_find_next_sample_point ()

    gint32
    gimp_image_find_next_sample_point (gint32 image_ID,
                                       gint32 sample_point_ID);

Find next sample point on an image.

This procedure takes an image and a sample point ID as input and finds the sample point ID of the successor of the given sample point ID in the image's sample point list. If the supplied sample point ID is 0, the procedure will return the first sample point. The procedure will return 0 if given the final sample point ID as an argument or the image has no sample points.

#### Parameters

image_ID | The image. |
sample_point_ID | The ID of the current sample point (0 if first invocation). |

#### Returns

The next sample point's ID.

Since: 2.10

### gimp_image_get_sample_point_position ()

    gint
    gimp_image_get_sample_point_position (gint32 image_ID,
                                          gint32 sample_point_ID,
                                          gint *position_y);

Get position of a sample point on an image.

This procedure takes an image and a sample point ID as input and returns the position of the sample point relative to the top and left of the image.

#### Parameters

image_ID | The image. |
sample_point_ID | The guide. |
position_y | The sample points's position relative to top of image. |

#### Returns

The sample points's position relative to top of image.

Since: 2.10